Subject: FVWM: FVWM modifier keys

From: Broc Stirton <[email-masked]>
Date: Tue, 10 Jun 1997 17:33:15 -0500

Can someone tell me how to include modifier keys in .fvwmrc other than
Meta, Ctrl, and Shift?  For example, I want certain key combos to work
w/ or w/out Shift Lock, Caps Lock, etc.  How do I add a line (should be
the same for mouse and key bindings) to .fvwmrc that includes these? 
The man pages only mention the modifiers M,S,C,and A for any.  Thanks in
advance,
		Broc
-- 
						--------------------
						    Broc Stirton
						  [email-masked] 
						--------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bruce Stephens <[email-masked]>
Date: Wed, 11 Jun 1997 09:50:03 +0100

[email-masked] said:
> The man pages only mention the modifiers M,S,C,and A for any.  Thanks
> in advance, 

It also says that the X11 modifiers mod1 through mod5 are represented as 
digits 1 through 5.  So, you need to use xmodmap (or xkeycaps) to make your 
desired keys into modifiers, and then you can bind to them.  You'll probably 
find that Alt already has a modifier, so you could use that straight away, but 
there's always Super and Hyper left over, if you want yet more, although you 
probably won't have enough modifiers to give them all.